<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла большого изображения информационной группы.
 * 
 * Файл: /admin/InformationSystems/action/delete_information_group_big_image.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$information_system = & singleton('InformationSystem');

// Определяем название файла картинки по id информационной группы
$information_group_id = to_int($_REQUEST['delete_information_group_big_image']);

$row = $information_system->GetInformationGroup($information_group_id);

if ($row)
{
	if (is_dir(CMS_FOLDER.UPLOADDIR))
	{
		// Путь к файлу большого изображения информационной группы
		$fname = CMS_FOLDER . UPLOADDIR . $row['information_groups_image'];

		// Файл большого изображения существует
		if (is_file($fname))
		{
			// Удаляем файл с сервера
			@unlink($fname);			
		}
		
		// Удаляем файл из таблицы
		$query = "UPDATE `information_groups_table` SET  `information_groups_image` = ''  WHERE information_groups_id=$information_group_id";

		$DataBase->query($query);
	}
	else
	{
		show_error_message(sprintf($GLOBALS['MSG_information_systems']['error_information_dir'], CMS_FOLDER . UPLOADDIR));
	}
}
?>